package com.atguigu.spzx.manger.service.impl;

import com.atguigu.spzx.manger.mapper.CategoryBrandMapper;
import com.atguigu.spzx.manger.service.CategoryBrandService;
import com.atguigu.spzx.model.dto.product.CategoryBrandDto;
import com.atguigu.spzx.model.entity.product.CategoryBrand;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CategoryBrandServiceImpl implements CategoryBrandService {
    @Autowired
    private CategoryBrandMapper categoryBrandMapper;

    /**
     * 分类品牌列表
     *
     * @param page  当前页
     * @param limit 每页限制
     * @param dto   搜索条件实体类
     * @return PageInfo<CategoryBrand>
     */
    @Override
    public PageInfo<CategoryBrand> findByPage(Integer page, Integer limit, CategoryBrandDto dto) {
        PageHelper.startPage(page, limit).close();
        List<CategoryBrand> categoryBrandList = categoryBrandMapper.findByPage(dto);
        return new PageInfo<>(categoryBrandList);
    }
}
